Subject: Re: bug#17282: Acknowledgement (24.4.50; Emacs hangs consuming 100% CPU)

From: Eli Zaretskii <[email-masked]>
Date: Thu, 17 Apr 2014 16:17:20 +0300

> From: Tassilo Horn <[email-masked]>
> Cc: [email-masked]
> Date: Thu, 17 Apr 2014 15:06:16 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> Again, that may only be a symptom, but something is horribly broken
> >> with some movement commands.
> >
> > If setting cache-long-scans to nil solves these problems, please try
> > the patch I posted in bug #17279.
> >
> > If that doesn't solve these problems, please try to come up with a
> > recipe starting from "emacs -Q".
> 
> I'm on r116989 now, and with that revision I'm unable to reproduce the
> issue.  But looking at "bzr log", it doesn't seem like one commit
> between 116986 and 116989 could have fixed this by accident...

Indeed, the fix was not yet merged to the trunk.

Can you revert to 116986 ("bzr revert -r 116986") and see if the
problem is reproducible there?  If it is, could you try the patch on
that revision?  (After this experiment, "bzr revert" will put you back
on the trunk tip.)

Thanks.